# Uses of Enum Class
org.bukkit.plugin.ServicePriority

Packages that use ServicePriority
Package
Description
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.

## Uses of ServicePriority in org.bukkit.plugin

Methods in org.bukkit.plugin that return ServicePriority
Modifier and Type
Method
Description
`@NotNull ServicePriority`
RegisteredServiceProvider.`getPriority()`
`static ServicePriority`
ServicePriority.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ServicePriority[]`
ServicePriority.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.plugin with parameters of type ServicePriority
Modifier and Type
Method
Description
`<T> void`
ServicesManager.`register(@NotNull Class<T> service, T provider, @NotNull Plugin plugin, @NotNull ServicePriority priority)`
Register a provider of a service.
`<T> void`
SimpleServicesManager.`register(@NotNull Class<T> service, T provider, @NotNull Plugin plugin, @NotNull ServicePriority priority)`
Register a provider of a service.
Constructors in org.bukkit.plugin with parameters of type ServicePriority
Modifier
Constructor
Description
``
`RegisteredServiceProvider(@NotNull Class<T> service, T provider, @NotNull ServicePriority priority, @NotNull Plugin plugin)`